THREATINT

We use these services and cookies to improve your user experience. You may opt out if you wish, however, this may limit some features on this site.

Please see our statement on Data Privacy.

Fathom (Privacy friendly web analytics)
Zendesk (Helpdesk and Chat)

Ok

Home | EN
Support
CVE
PUBLISHED

CVE-2024-29901

@workos-inc/authkit-nextjs session replay vulnerability

AssignerGitHub_M
Reserved2024-03-21
Published2024-03-29
Updated2024-07-08

Description

The AuthKit library for Next.js provides helpers for authentication and session management using WorkOS & AuthKit with Next.js. A user can reuse an expired session by controlling the `x-workos-session` header. The vulnerability is patched in v0.4.2.



MEDIUM: 4.8CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:N

Problem types

CWE-294: Authentication Bypass by Capture-replay

Product status

< 0.4.2
affected

References

https://github.com/workos/authkit-nextjs/security/advisories/GHSA-35w3-6qhc-474v

https://github.com/workos/authkit-nextjs/commit/6c3f4f3179d66cbb15de3962792083ff3b244a01

https://github.com/workos/authkit-nextjs/releases/tag/v0.4.2

cve.org CVE-2024-29901

nvd.nist.gov CVE-2024-29901

Download JSON

Share this page
https://cve.threatint.com/CVE/CVE-2024-29901
© Copyright 2024 THREATINT. Made in Cyprus with +